manifestVersion: 1
id: appsmith
name: Appsmith
tagline: Платформа для создания панелей администратора, внутренних инструментов и информационных панелей.
category: developer
version: "v1.99"
port: 8654
description: >-
  Appsmith — это платформа разработки с открытым исходным кодом и низким уровнем написания кода, призванная помочь разработчикам и командам быстро и эффективно создавать внутренние инструменты и бизнес-приложения. Если вам нужны информационные панели, панели администратора, графические интерфейсы баз данных или рабочие процессы утверждения, Appsmith предоставляет мощную, но гибкую среду для создания надежных приложений без затрат на разработку традиционного программного обеспечения.
  
  
  По своей сути Appsmith предлагает интерфейс перетаскивания с более чем 45 настраиваемыми виджетами, бесшовную интеграцию с более чем 18 источниками данных, включая API PostgreSQL, MongoDB, REST и GraphQL, а также встроенный редактор JavaScript для расширенной логики и интерактивности. Эта комбинация позволяет разработчикам и нетехническим пользователям с легкостью создавать динамические приложения, управляемые данными.
  
  
  Appsmith поддерживает контроль версий на основе Git, что позволяет командам эффективно управлять изменениями приложений. Его архитектура основана на шаблоне модель-представление-контроллер (MVC), обеспечивающем чистую организацию кода и масштабируемость. Кроме того, Appsmith предлагает варианты развертывания как в облаке, так и на собственном хостинге, обеспечивая гибкость и контроль над вашими приложениями.
  
  
  Appsmith, которому доверяют более 10 000 команд в 150 странах, включая такие организации, как Dropbox, Twilio и GSK, представляет собой проверенное решение для создания внутренних инструментов, повышающих производительность и оптимизирующих операции.
  
  
  Являетесь ли вы стартапом, стремящимся ускорить разработку, или предприятием, которое ищет настраиваемые внутренние решения, Appsmith предлагает инструменты и гибкость для удовлетворения ваших потребностей.
developer: Appsmith
website: https://www.appsmith.com/
submitter: al-lac
submission: https://github.com/getumbrel/dfwebos-apps/pull/2634
repo: https://github.com/appsmithorg/appsmith
support: https://discord.com/invite/rBTTVJp
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
defaultUsername: ""
defaultPassword: ""
dependencies: []
releaseNotes: >-
  В этом выпуске основное внимание уделяется исправлениям безопасности и улучшениям стабильности:
    - 🚨 Исправлено множество уязвимостей безопасности, включая защиту SSRF, предотвращение XSS и принудительное применение разрешений ACL.
    - Исправлена ​​проблема, из-за которой импорт мог повредить действия опубликованного макета.
    - Исправлена ​​автоматическая вставка точки с запятой, приводившая к сбоям рефакторинга.
    - Исправлены проблемы со стилем виджетов выбора полосы прокрутки.
    - Предотвращено состояние гонки при создании суперпользователя.
    - Исправлена ​​проблема, из-за которой запросы к источнику данных не завершались неудачно, если необходимое поле отсутствовало.
    - Нормализованы электронные письма пользователей для удаления невидимых символов Юникода.
    - Различные другие исправления ошибок и улучшения стабильности.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/appsmithorg/appsmith/releases.
path: ""
